Package oasis.names.tc.saml._2_0.assertion

# Class SubjectConfirmation

java.lang.Object
oasis.names.tc.saml._2_0.assertion.SubjectConfirmation

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SubjectConfirmation extends Object implements Serializable

Java class for SubjectConfirmationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubjectConfirmationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice minOccurs="0">
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}BaseID"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
             </choice>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectConfirmationData" minOccurs="0"/>
           </sequence>
           <attribute name="Method" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubjectConfirmation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BaseID`
  `getBaseID()`
  Gets the value of the baseID property.
  `EncryptedElementType`
  `getEncryptedID()`
  Gets the value of the encryptedID property.
  `String`
  `getMethod()`
  Gets the value of the method property.
  `NameIDType`
  `getNameID()`
  Gets the value of the nameID property.
  `SubjectConfirmationDataType`
  `getSubjectConfirmationData()`
  Gets the value of the subjectConfirmationData property.
  `void`
  `setBaseID(BaseID value)`
  Sets the value of the baseID property.
  `void`
  `setEncryptedID(EncryptedElementType value)`
  Sets the value of the encryptedID property.
  `void`
  `setMethod(String value)`
  Sets the value of the method property.
  `void`
  `setNameID(NameIDType value)`
  Sets the value of the nameID property.
  `void`
  `setSubjectConfirmationData(SubjectConfirmationDataType value)`
  Sets the value of the subjectConfirmationData property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubjectConfirmation

    public SubjectConfirmation()

- ## Method Details

  - ### getEncryptedID

    public EncryptedElementType getEncryptedID()
    Gets the value of the encryptedID property.
    Returns:
      possible object is `EncryptedElementType`

  - ### setEncryptedID

    public void setEncryptedID(EncryptedElementType value)
    Sets the value of the encryptedID property.
    Parameters:
      `value` - allowed object is `EncryptedElementType`

  - ### getNameID

    public NameIDType getNameID()
    Gets the value of the nameID property.
    Returns:
      possible object is `NameIDType`

  - ### setNameID

    public void setNameID(NameIDType value)
    Sets the value of the nameID property.
    Parameters:
      `value` - allowed object is `NameIDType`

  - ### getBaseID

    public BaseID getBaseID()
    Gets the value of the baseID property.
    Returns:
      possible object is `BaseID`

  - ### setBaseID

    public void setBaseID(BaseID value)
    Sets the value of the baseID property.
    Parameters:
      `value` - allowed object is `BaseID`

  - ### getSubjectConfirmationData

    public SubjectConfirmationDataType getSubjectConfirmationData()
    Gets the value of the subjectConfirmationData property.
    Returns:
      possible object is `SubjectConfirmationDataType`

  - ### setSubjectConfirmationData

    public void setSubjectConfirmationData(SubjectConfirmationDataType value)
    Sets the value of the subjectConfirmationData property.
    Parameters:
      `value` - allowed object is `SubjectConfirmationDataType`

  - ### getMethod

    public String getMethod()
    Gets the value of the method property.
    Returns:
      possible object is `String`

  - ### setMethod

    public void setMethod(String value)
    Sets the value of the method property.
    Parameters:
      `value` - allowed object is `String`